#! /usr/bin/awk
# Copyright (c) 2002-2017 by Dell Inc.
#
# All rights reserved.  This software may not be copied, disclosed,
# transferred, or used except in accordance with a license granted
# by Dell Inc.  This software embodies proprietary information
# and trade secrets of Dell Inc.
#
# # @(#) Script to print the drive adjacent to the DISKID passed in. The second
# arg details whether you the user wants the drive to right or to the left.
# Usage: provide(via pipe or file) the output from raidtool to this script

#---------------------------------------------------------------
#
#   Function:   basename(pathname,        filename_ext)
#
#   Description:
#   Script to strip directory and suffix from filenames
#
#  > usage: pipe or echo a filename to the script
#  >  e.g.
#  >  ls  | awk -v EXT=.exe  -f ./alib/basename.awk
# ------------------------------------------
#   Inputs:
#       _path/filename_  passed from stdin via pipe
#
#       _extension_     passed via awk VAR mechanism
#
#   Returns:
#       return filename portion of pathname
#
#
function basename (pathname,        filename_ext){
        filename_ext = pathname
        sub(/^.*\//, "", filename_ext)
        sub(EXT, "", filename_ext)
        print filename_ext
}
basename($0)
