#
# @(#) Script to print the raidset type for a LUN
#
# Copyright (c) 2002-2017 by Dell Inc.
#
# All rights reserved.  This software may not be copied, disclosed,
# transferred, or used except in accordance with a license granted
# by Dell Inc.  This software embodies proprietary information
# and trade secrets of Dell Inc.
#

#---------------------------------------------------------------
#
#   Function:   driveSerialMatcher(modelDescription, SN)
#
#   Description:
#   Script to return check SN argument for a match on a list of serial numbers on input stream
#
# > e.g.
# > cat ./suspects/ST31000340NS.dsc | awk -v SN=ALL -f driveSerialMatcher.awk
# > cat ./suspects/ST31000340NS.dsc | awk -v SN=9QJ2JK85  -f ./alib/driveSerialMatcher.awk
#
#   Inputs:
#       _modelDescription_   contents of a DSC file passed via stdin via pipe
#
#       _SN_     passed via awk VAR mechanism
#
#   Returns:
#       return success message or NULL
#
#
BEGIN {
    SN=toupper(SN)
}
{
    if ($0 ~ SN) {
        print "serial number: "SN"  Found"
    }
}
