#
# @(#) Script to print the drives in a raidset of a particular LUN.
#
# Copyright (c) 2002-2017 by Dell Inc.
#
# All rights reserved.  This software may not be copied, disclosed,
# transferred, or used except in accordance with a license granted
# by Dell Inc.  This software embodies proprietary information
# and trade secrets of Dell Inc.

#---------------------------------------------------------------
#
#   Function:   eqlDiskEntry(DISKID, eqlDiskId, eqlData)
#
#   Description:
#   Script to parse mib data from the eqlDiskEntry table.
#
#   > Usage:
#   > e.g.(see fn_GetMib() from commonLib).
#   > mibDiskIdVal=`fn_GetMib $eqlDiskId` .
#   > mibDataVal=`fn_GetMib $eqlDiskErrors` .
#   > mibDataVal=`fn_FilterModelLine "$mibDataVal"`
#   > mibVal=`echo start | awk -v DISKID=${diskID} -v eqlDiskId="${mibDiskIdVal}" -v eqlData="${mibDataVal}"  -f ./alib/eqlDiskEntry.awk
#   > echo eqlDiskTableEntry | awk -v DISKID=1  -v eqlDiskId=mibVal1 -v eqlData=mibVal2 -f ./alib/eqlDiskEntry.awk
# ------------------------------------------
#   Inputs:
#       _DISKID_   the disk id you wish information about. This is used to index into the _eqlDiskId_ mib data
#
#       _eqlDiskId_   The eqlDiskId mib data gets used to index into the _eqlData_ which can be any of the eqlDiskEntry table entries
#
#       _eqlData_   The eqlDiskEntry mib data you wish to return for that _DISKID_
#
#
#   Returns:
#       return success message or NULL
#
BEGIN {
    max=0
}
{
    split(eqlDiskId, eqlDiskIdArray)
    split(eqlData,   eqlDataArray)
    for (x in eqlDiskIdArray)
        max++
    for (i=1; i<=max; i++ ){
        sub(/-line/, "line", eqlDataArray[i] )
        eqlDiskTableInfo[ eqlDiskIdArray[i] ] = eqlDataArray[i]
    }
}
END {
    print eqlDiskTableInfo[DISKID]
}
