#
#
# Copyright (c) 2002-2017 by Dell Inc.
#
# All rights reserved.  This software may not be copied, disclosed,
# transferred, or used except in accordance with a license granted
# by Dell Inc.  This software embodies proprietary information
# and trade secrets of Dell Inc.
#

#---------------------------------------------------------------
#
#   Function:   parseDiskview(  )
#
#   Description:
#   Script to parse out the relevant information from diskview.
#
# > Usage:  provide(via pipe or file) the output from diskview to this script
# > e.g.  diskview -I | awk  ./alib/parseDiskview.awk
#
#   Inputs:
#       _none_
#
#   Returns:
#       prints out the disk info as fields. diskID ,diskModel, diskSn, diskFW, diskSize, and diskState of the drives in the array
#

function sizeof(a, i,n) { for(i in a) n++ ; return n }

BEGIN {
    i = 1
    j = 1
    k = 1

}

# record    record
# begPat  , endPat
/^Disk/,/^$/{
    # get the drive ID
    if (match ($0, /^Disk/ )){
        split($0, driveLine, " ")
        diskID[i]=driveLine[2]
    }
    # find the model line and split it up
    if (match ($0, /Model:/ )){
        split($0, msnfw, " ")

        # now pick of the model
        diskModel[i]=msnfw[2]

        # pick off the SN and clean the string
        gsub(/,/, "", msnfw[4])
        diskSn[i]=msnfw[4]

        # pick off the fwRev and clean the string
        split(msnfw[5], fwrev, "=")
        gsub(/\)/, "", fwrev[2])
        diskFW[i]=fwrev[2]
        i++

    }
    # find the line that has the size and split that up
    if (match ($0, /size=/  )){
        split($1, size, "=")
        diskSize[j]=size[2]
        j++
    }
    # find the line that has the state
    if (match ($0, /State/  )){
        diskState[k]=$7
        k++
    }
}

END {
    y=sizeof(diskModel)
    for(x = 1; x <= y ; x++){
        print diskID[x]","diskModel[x]","diskSn[x]","diskFW[x]","diskSize[x]","diskState[x]
    }

}

