#
#
# Copyright (c) 2002-2017 by Dell Inc.
#
# All rights reserved.  This software may not be copied, disclosed,
# transferred, or used except in accordance with a license granted
# by Dell Inc.  This software embodies proprietary information
# and trade secrets of Dell Inc.
#

#---------------------------------------------------------------
#
#   Function:   scaleProgressBucket(  )
#
#   Description:
#   Script to that give a set of inputs returns a set of outputs used to call process_msg in the commonLib.
#
# > Usage:  providecho 30:48:0:0 |e(via pipe or file) a 4 field colon delimited string of values
# > e.g.   | awk  -f ./alib/parseDiskview.awk
#
#   Inputs:
#       _none_
#
#   Returns:
#       a 4 field colon delimited string of values


BEGIN {
    percentageOfTaskAmount = 0
    numberOfDrives = 0
    decimalPortion = 0
    incr = 0
}

{
    split($0, gangOfFour, ":")

    percentageOfTaskAmount=gangOfFour[1]
    numberOfDrives=gangOfFour[2]
    decimalPortion=gangOfFour[3]

    perDrivePercentageOfTaskAmount = sprintf("%2.4f", (percentageOfTaskAmount / numberOfDrives   ))
    currentIncr = sprintf("%2.4f", perDrivePercentageOfTaskAmount + decimalPortion)
    incr = sprintf("%d", currentIncr)
    decimalPortion = sprintf("%0.4f", currentIncr - incr)

}

END {
    print percentageOfTaskAmount":"numberOfDrives":"decimalPortion":"incr
}
