#
# @(#) Script to print the spare drives available to raid
#
# Copyright (c) 2002-2017 by Dell Inc.
#
# All rights reserved.  This software may not be copied, disclosed,
# transferred, or used except in accordance with a license granted
# by Dell Inc.  This software embodies proprietary information
# and trade secrets of Dell Inc.
#

#---------------------------------------------------------------
#
#   Function:   raidAvailDrives(  )
#
#   Description:
#   Script to get the list of spares on an array from raidtool output
#
# > Usage: provide(via pipe or file) the output from raidtool to this script
# > e.g.  raidtool  | awk  ./alib/raidAvailDrives.awk
#
#   Inputs:
#       __none_
#
#   Returns:
#       prints out the list of spares on the array.
#

BEGIN {
    IGNORECASE = 1
    i=0
}
/Available/ {
    drives[++i] = $0
}
END {
    split(drives[1],avail,":");
    print avail[2]
}
