#
# @(#) Script to print the raidset type for a LUN
#
# Copyright (c) 2002-2017 by Dell Inc.
#
# All rights reserved.  This software may not be copied, disclosed,
# transferred, or used except in accordance with a license granted
# by Dell Inc.  This software embodies proprietary information
# and trade secrets of Dell Inc.
#

#---------------------------------------------------------------
#
#   Function:   raidType(  )
#
#   Description: Script to return the raidtype for a single raidset LUN from raidtool output
#
#   (if there are multiple luns then pre-fliter with ./alib/multiLun.awk)
#
# > Usage: provide(via pipe or file) the output for the LUN of interest from raidtool to this script
# > e.g.
# > raidtool | awk -f ./alib/raidType.awk
# >             in the case of multiple luns in the raidtool output
# > raidtool | awk  -v LUN=0 -f ./alib/multiLun.awk | awk -f ./alib/raidType.awk
#
#
#   Inputs:
#       _NONE_
#
#   Returns:
#       prints out the RAID type
#

#
BEGIN {
    IGNORECASE = 1
    i=0
}
/ RAID / {
    if (match ($0, / RAID 1/   )){ raidLine=$0}
    if (match ($0, / RAID 5/   )){ raidLine=$0}
    if (match ($0, / RAID 6/   )){ raidLine=$0}
}
END {
    split(raidLine,rdrives,"(");
    gsub(/ /, "", rdrives[1] )
    print  tolower( rdrives[1] )
}
