#
# @(#) Script to print the drives in a raidset of a particular LUN.
#
# Copyright (c) 2002-2017 by Dell Inc.
#
# All rights reserved.  This software may not be copied, disclosed,
# transferred, or used except in accordance with a license granted
# by Dell Inc.  This software embodies proprietary information
# and trade secrets of Dell Inc.
#

#---------------------------------------------------------------
#
#   Function:   raidsetDrives( )
#
#   Description: script to return the list of drives in ANY raidset lun from raidtool output
#
# > Usage: provide(via pipe or file) the output for the LUN of interest from raidtool to this script
# > e.g.  raidtool  | awk  -f  ./alib/raidsetDrives.awk
#
#
#   Inputs:
#       _none_
#
#   Returns:
#       the number of drives in a raidset from raidtool output
#
#

BEGIN {
    IGNORECASE = 1
    i=0
}
/Drives/ {
    drives[++i] = $0
}
END {
    split(drives[1],rdrives," ");
    gsub(/\(/, "", rdrives[3] )
    gsub(/\)/, "", rdrives[3] )
    print rdrives[3]
}
