#
# @(#) Script to print the reconstructing drives in a raidset of a particular LUN.
#
# Copyright (c) 2002-2017 by Dell Inc.
#
# All rights reserved.  This software may not be copied, disclosed,
# transferred, or used except in accordance with a license granted
# by Dell Inc.  This software embodies proprietary information
# and trade secrets of Dell Inc.
#

#---------------------------------------------------------------
#
#   Function:   raidsetRecondDrives(  )
#
#   Description: Script to return the list of drives rebuilding in a raidset LUN from raidtool output
#
# > Usage: provide(via pipe or file) the output from raidtool to this script
# >  e.g.  raidtool  | awk  ./alib/raidsetReconDrives.awk
#
#
#   Inputs:
#       _none_
#
#   Returns:
#       the list of drives rebuilding
#

BEGIN {
    IGNORECASE = 1
    i=0
}
/Drives \(/ {
    drives[++i] = $0
}
END {
    i=0
    for(allDrives in drives){
#print drives[allDrives]
        split(drives[allDrives],rdrives," ");
        gsub(/\(/, "", rdrives[3] )
        gsub(/\)/, "", rdrives[3] )
        split(rdrives[3], raidSet, ",")
        for(drive in raidSet){
            if ( match( raidSet[drive], /r/)  ){
                reconDrives = reconDrives " " raidSet[drive]
            }
        }
    }
    print reconDrives
}
