#
# @(#) Script to print the raidset drive count for a LUN
#
# Copyright (c) 2002-2017 by Dell Inc.
#
# All rights reserved.  This software may not be copied, disclosed,
# transferred, or used except in accordance with a license granted
# by Dell Inc.  This software embodies proprietary information
# and trade secrets of Dell Inc.
#

#---------------------------------------------------------------
#
#   Function:   readFieldInCommentedFile( WHICH_FIELD )
#
#   Description: Script to emulate the raidview command
#
# > Usage: provide(via pipe or file) the output of a cat command
# > e.g.
# > newVerField=4
# > availableFwRev=`cat ./fwdsc/${firmwareDescriptorFile} | awk -v WHICH_FIELD=$newVerField   -f ./alib/readFieldInCommentedFile.awk`
#
#
#   Inputs:
#       _WHICH_FIELD_  the number of the field you wish to read
#
#   Returns:
#       prints out the data in the requested field
#

{
    if ( $0 !~ /^[[:space:]]*#/  &&   $0 !~ /^$/  ) { requestedFieldData=$WHICH_FIELD }
}
END {print requestedFieldData}
