#
# @(#) Script to print the sorted raidset drives
#
# Copyright (c) 2002-2017 by Dell Inc.
#
# All rights reserved.  This software may not be copied, disclosed,
# transferred, or used except in accordance with a license granted
# by Dell Inc.  This software embodies proprietary information
# and trade secrets of Dell Inc.
#

#---------------------------------------------------------------
#
#   Function:  sortRaidDrives(raidTool-Z)
#
#   Description:
#   Script to return the drives in a raidset sorted from raidtool output
#
#    e.g.
#    raidtool -Z  | awk -f ./alib/sortRaidDrives.awk
# ------------------------------------------
#   Inputs:
#       _raidtool-Z_  passed from stdin via pipe

#
#   Returns:
#       a sorted list of all the drives in the raidset
#       sort numbers in ascending order
#

function bsort(drives,numOfElements) { # sort it with bubble sort
  do {
    haschanged = 0
    for(i=1; i < numOfElements; i++) {
        if ( drives[i] > drives[i+1] ) {
          t = drives[i]
          drives[i] = drives[i+1]
          drives[i+1] = t
          haschanged = 1
        }
    }
  } while ( haschanged == 1 )

}

BEGIN{
    IGNORECASE=1
    drives=""
  }

##### MAIN  ###
{
    if ($0 ~  /disk luns:/){
    gsub(/disk luns:/, "")
    drives=drives" "$0
    }
}

END{
    d = split( drives, dArray, " ")
    bsort(dArray, d)
    for (m=1; m <= d; m++){
        printf ("%s ", dArray[m])
    }
    printf("\n")
}
